CANDY Pi Liteサービスのインストールについて

大変お世話になります。
Candy Pi Liteのサービスをインストールしたいと試みていますが、
上手く出来ずに困っています。
ご教示いただければ幸いです。

詳細は以下のとおりです。

tinkerboar S のeMMcにOS:Debian GNU/Linux 9 \n \l
Candy Pi Lite+(マルチキャリア)の構成です。
両者はUSBで接続しています。
linaro@tinkerboard:~$ lsusb
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 006: ID 2c7c:0125 Quectel Wireless Solutions Co., Ltd. EC25 LTE modem
(以下、省略)

○Candy pi liteのサービスインストールを以下の通り実行します。
linaro@tinkerboard:~$ VERSION=10.2.1 && curl -sL https://raw.githubusercontent.com/CANDY-LINE/candy-pi-lite-service/${VERSION}/install.sh | sudo bash

●実行直後、以下のエラーが出ます。
linaro@tinkerboard:~$ VERSION=10.2.1 && curl -sL https://raw.githubusercontent.com/CANDY-LINE/candy-pi-lite-service/${VERSION}/install.sh | sudo bash
[INFO] Installing CANDY Pi Lite Board Service software Version: 10.2.1
[INFO] OS Version: 9.13
[INFO] Kernel Version: 4.4.132
[INFO] Using ‘python3’ command for Python scripts.
[INFO] Board Type: ATB
[INFO] Using pip 9.0.1 from /usr/lib/python3/dist-packages (python 3.5)
Collecting candy-board-qws==3.0.0
Using cached https://files.pythonhosted.org/packages/ed/fd/68bd04a91f79ad0741115d3d68c7828635ac1ae0d06f8c214f73c9fefb01/candy-board-qws-3.0.0.tar.gz
Complete output from command python setup.py egg_info:
Traceback (most recent call last):
File “”, line 1, in
ImportError: No module named ‘setuptools’

----------------------------------------

Command “python setup.py egg_info” failed with error code 1 in /tmp/pip-build-xlw_fm7r/candy-board-qws/
Collecting candy-board-cli==4.0.0
Using cached https://files.pythonhosted.org/packages/ff/94/bca82983a6eefc8b0c754ecc3422b7b49f7c5b15443531710ed818a0d6b5/candy-board-cli-4.0.0.tar.gz
Complete output from command python setup.py egg_info:
Traceback (most recent call last):
File “”, line 1, in
ImportError: No module named ‘setuptools’

----------------------------------------

Command “python setup.py egg_info” failed with error code 1 in /tmp/pip-build-ouyb1_v4/candy-board-cli/
Requirement already up-to-date: croniter in /usr/local/lib/python3.5/dist-packages
Requirement already up-to-date: natsort in /usr/local/lib/python3.5/dist-packages (from croniter)
Requirement already up-to-date: python-dateutil in /usr/local/lib/python3.5/dist-packages (from croniter)
Requirement already up-to-date: six>=1.5 in /usr/local/lib/python3.5/dist-packages (from python-dateutil->croniter)
v12.18.3
ヒット:1 http://security.debian.org stretch/updates InRelease
ヒット:2 http://repo.linaro.org/ubuntu/linaro-overlay stretch InRelease
取得:3 http://tprd.asus.com:8000 stretch InRelease [5,233 B]
無視:4 http://cdn-fastly.deb.debian.org/debian stretch InRelease
取得:5 http://cdn-fastly.deb.debian.org/debian stretch-updates InRelease [93.6 kB]
ヒット:6 http://cdn-fastly.deb.debian.org/debian stretch Release
98.9 kB を 20秒 で取得しました (4,848 B/s)
パッケージリストを読み込んでいます… 完了
npm WARN using --force I sure hope you know what you are doing.

●最後、エラーが出ていますがGPIOについてなので無視しました。
[INFO] Configuring SC16IS7xx for ATB …
[INFO] Installing SC16IS7xx Kernel Module…(Kernel Version:4.4.132)
[WARN] Cannot install SC16IS7xx Kernel Module. GPIO(SPI) is NOT Available.
[WARN] Don’t warry. You can use USB/UART, instead.
[INFO] Skip to install Device Tree Blob.
[INFO] SC16IS7xx configuration done
[INFO] Configuring Hardware Watchdog for ATB …
[INFO] Hardware Watchdog configuration done
[ALERT] *** Please reboot the system (enter ‘sudo reboot’) ***
[ALERT] GPIO(SPI) connection is NOT AVAILABLE because the kernel version:4.4.132 is unsupported. Use USB/UART connection, instead.

○apnを以下のとおりとして再起動
/boot/apn
{
“apn”:“mopera.net”,
“user”:"_________",
“password”:"++++++++++++"
}
この、apn自体は過去使ったことがある設定なので、大丈夫だと思っています。

●サービスの状態を確認
linaro@tinkerboard:~$ sudo candy service status
sudo: candy: コマンドが見つかりません

candy-pi-lite サービスの起動(https://candy-line.gitbooks.io/candy-pi-lite/content/service/start.html)

では、
candy-pi-lite-service v5.0.0 より前のバージョンの場合
$ sudo candy service status
で確認することになっていたので、実行すると、

linaro@tinkerboard:~$ sudo systemctl status candy-pi-lite
● candy-pi-lite.service - CANDY Pi Lite Service, version:10.2.1
Loaded: loaded (/lib/systemd/system/candy-pi-lite.service; enabled; vendor preset: enabled)
Active: active (running) since Mon 2020-11-23 17:35:53 JST; 38s ago
Process: 30319 ExecStop=/opt/candy-line/candy-pi-lite/stop_systemd.sh (code=exited, status=0/SUCCESS)
Main PID: 30383 (bash)
CGroup: /system.slice/candy-pi-lite.service
├─30383 bash /opt/candy-line/candy-pi-lite/start_systemd.sh
└─31750 sleep 1

11月 23 17:36:29 tinkerboard start_systemd.sh[30383]: ImportError: No module named ‘candy_board_qws’
11月 23 17:36:29 tinkerboard start_systemd.sh[30383]: Traceback (most recent call last):
11月 23 17:36:29 tinkerboard start_systemd.sh[30383]: File “”, line 1, in
11月 23 17:36:29 tinkerboard start_systemd.sh[30383]: ImportError: No module named ‘candy_board_qws’
11月 23 17:36:30 tinkerboard start_systemd.sh[30383]: Traceback (most recent call last):
11月 23 17:36:30 tinkerboard start_systemd.sh[30383]: File “”, line 1, in
11月 23 17:36:30 tinkerboard start_systemd.sh[30383]: ImportError: No module named ‘candy_board_qws’
11月 23 17:36:30 tinkerboard start_systemd.sh[30383]: Traceback (most recent call last):
11月 23 17:36:30 tinkerboard start_systemd.sh[30383]: File “”, line 1, in
11月 23 17:36:30 tinkerboard start_systemd.sh[30383]: ImportError: No module named ‘candy_board_qws’

sudo candy service statusでcandy自体が認識されないなど、正常動作しているとは
思えませんが、何から調べればよいのかわからなくなっています。
そもそも、candy-pi-lite.serviceはversion:10.2.1でも動いているんでしょうか?

纏まりがなくて申し訳ございませんが、何をどう調べればよいのか途方に暮れています。
何卒、よろしくお願いいたします。

ご質問ありがとうございます。

ImportError: No module named ‘setuptools’

インストール時に上記エラーが出ております。

下記の2つのコマンドを実行してモジュールをインストールしていただけますでしょうか。

# パッケージ情報更新
$ sudo apt-get update -y

# setuptoolsインストール(wheelも既に入っているかもしれませんが
# 未インストールの場合は必要なので追加しています)
$ sudo apt-get install python3-setuptools python3-wheel

その後、アンインストールしてから、再度インストールしてください。

ImportError: No module named ‘setuptools’

このエラーが出ずにインストールできればOKです。

よろしくお願いいたします。

dbaba 様

ご教示誠にありがとうございました。
おかげさまで、上手く動くようになりました。
丸二日分からなくて悩んでいたこともあり、諦めかけていましたので
ほっとしています。
因みに、 /boot/apnの指定は
{
“apn”:“mopera.net”,
“user”:"_________",
“password”:"++++++++++++"
}
で、何の問題もなく動いている様です。

問題なさそうですが、全体的に、もう少し様子を見ようと思います。

とにかく、ありがとうございました。
困ったことが有りましたら、ご相談させていただきます。
今後ともよろしくお願いいたします。

1 Like